.pf1.actor.sheet {
	.tab.spellbook {
		.lil-progression-table-button {
			align-self: center;
			cursor: pointer;
			&:hover {
				text-shadow: 0 0 7px red;
			}
		}
	}
}

.app.window-app.lil-caster-progression {
	width: min-content !important;
	height: min-content !important;

	.main-body {
		display: flex;
		flex-direction: row;
		gap: 0.5em;
		flex-wrap: nowrap;

		div {
			flex: 0 min-content;
		}
	}

	ul {
		list-style: none;
		padding: 0;
		margin: 0;

		display: grid;
		grid-template-columns: 4em repeat(var(--max-level), 2em);
		&.spontaneous {
			grid-template-columns: repeat(var(--max-level), 2em);
		}

		grid-template-rows: min-content;

		li {
			display: contents;

			&:nth-child(2n + 1) .cell {
				background-color: rgba(0, 0, 0, 0.05);
			}

			&.current .cell {
				background-color: gold;
				font-weight: bold;
			}
			&:nth-child(2n + 1).current .cell {
				background-color: goldrenrod;
			}

			.cell {
				padding: 0.1em 0.3em;
				align-items: center;
				text-align: center;

				&.header {
					font-weight: bold;
				}
				&.sl {
					font-weight: bold;
				}
			}

			&.header {
				.cell {
					background-color: rgba(0, 0, 0, 0.5);

					color: #e7e4e1;
				}
			}
		}
	}
}
